Subject: bug#12184: GNU Automake 1.12.2 - 4 tests FAIL on Solaris 10 Sparc

From: Dennis Clarke <[email-masked]>
Date: Sun, 12 Aug 2012 23:59:31 +0000 (GMT)

> My guess is that your grep (in /usr/local/bin/ggrep ) is busted.  
> First clue:

By the way, I did have one test with GNU grep fail and yes, I did file a report. 
The reply was not helpful : 

>From  	Jim Meyering <some email address> 
Sent  	Sunday, August 12, 2012 10:39 pm
To  	Dennis Clarke <[email-masked]> 
Cc  	[email-masked] 
Subject Re: grep-2.13 FAIL:  1

Dennis Clarke wrote:
> On Solaris 10 update 10 on Sparc with Sun Studio 12 tools.
>
> $ env | sort
> AS=/usr/ccs/bin/as
> CC=/opt/SUNWspro/bin/cc
> CFLAGS=-erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xc -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -xtarget=ultraT2 -xcache=8/16/4:4096/64/16 -D_TS_ERRNO -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE
> COLUMNS=124
> CONFIG_SHELL=/bin/bash
> CPPFLAGS=-I/usr/local/include -I/usr/local/include/readline
> CXX=/opt/SUNWspro/bin/CC
> CXXFLAGS=-erroff -xildoff -m64 -xmemalign=8s -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -xunroll=1 -xtarget=ultraT2 -xcache=8/16/4:4096/64/16 -R/usr/local/lib -L/usr/local/lib -D_TS_ERRNO -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE
...
> sjis-mb: skipped test: your system lacks the timeout program
> SKIP: sjis-mb
> PASS: spencer1
> FAIL: spencer1-locale
> PASS: status
...
> # TOTAL: 57
> # PASS:  44
> # SKIP:  9
> # XFAIL: 3
> # FAIL:  1
> # XPASS: 0
> # ERROR: 0

Thanks for the report.
On the sole Solaris 10 system to which I have access,
all of grep's tests pass when built with gcc-4.5.0
and the Sun Studio 12 tools appear not to be available here.

I suggest you try building with a recent version of gcc.

If you really must use that other compiler, consider
instrumenting the failing test to make it report the
precise grep command that is failing.  If you do, please
report that, along with the actual/expected output.

-------------------------------------------------------------

Essentially, we are Linux, we don't do UNIX, go make UNIX
like Linux. Good luck.

  ick 

dc